from pymongo import MongoClient

# Retrieve the birthdate and address of the employees 
# whose name is "John B. Smith".

def query(emps):
  query = {}
  query["lname"] = "Smith"
  query["minit"] = "B"
  query["fname"] = "John"
  e = list(emps.find(query,{"dob": 1, "address": 1, "_id": 0}))
  return e[0]['dob'], e[0]['address']

def main():
  client = MongoClient()
  db = client.companyDB
  emps = db.employees
  bdate,address = query(emps)
  print('Retrieve the birthdate and address of the employees whose name is "John B. Smith".')
  print(bdate)
  print(address)

main()
